Bug 526157 - Missing man-pages
Summary: Missing man-pages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dmraid
Version: 12
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Heinz Mauelshagen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 527378 528649
TreeView+ depends on / blocked
 
Reported: 2009-09-29 06:45 UTC by Ivana Varekova
Modified: 2010-05-18 20:16 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-18 20:16:20 UTC


Attachments (Terms of Use)

Description Ivana Varekova 2009-09-29 06:45:09 UTC
Description of problem:
There are missing man page(s) for these tools or config files:
 /sbin/dmraid.static

If the man-pages are in a different package, please describe the details here.

In case the config file has the description inside and no additional man page is needed, please post a comment describing this situation here and set the bug status to CLOSE NOTABUG.

Short description on how to create man pages can be found here:

 https://fedoraproject.org/wiki/User:Varekova/man-pages

Actual results:
no man pages

Expected results:
man pages available

Comment 1 Ivana Varekova 2009-10-01 13:31:31 UTC
In the subpackages there is one more binary: 
/sbin/dm_dso_reg_tool
which should be documented too.

Comment 2 Ludek Dolihal 2009-10-15 08:44:27 UTC
I found man page for dmraid:  http://manpages.ubuntu.com/manpages/karmic/en/man8/dmraid.8.html 

But I am not sure if it is for dmraid.static as well. Check please.

Comment 3 Alasdair Kergon 2009-10-15 11:42:53 UTC
Static binaries/libraries will be disappearing - Fedora should no longer need them.  Yes, dmraid and dmraid.static do the same as each other.

Comment 4 Heinz Mauelshagen 2009-10-15 12:03:22 UTC
Fedora doesn't have any dmraid static ones since a while.

I'll close this because dmraid and dmraid.static provide the same functionality, hnece dmraid.8 man page applies.

Comment 5 Alasdair Kergon 2009-10-15 12:12:50 UTC
dmraid.static is still there - even if it's a link.
So is dm_dso_reg_tool.

Comment 6 Heinz Mauelshagen 2009-10-15 14:16:15 UTC
Alasdair,

sure dmraid.static is still there as a link but no binaries/libs are static in Fedora. Same man page applies to dmraid.static as to dmraid. dm_dso_reg_tool/dmevent_tool come with a manpage of their own: dmevent_tool.8.

Comment 7 Alasdair Kergon 2009-10-15 14:27:43 UTC
But if I type 'man dmraid.static' it says 'No manual entry for dmraid.static'.  That is what this bug is talking about.  If there is an executable present on the system, then 'man <exectuable_name>' needs to bring up its man page.

But I'd suggest this part be resolved by removing the 'dmraid.static' symlink.

And dm_dso_reg_tool can perhaps be added(linked) to the existing dmevent_tool man page.

Comment 8 Heinz Mauelshagen 2009-10-16 11:36:39 UTC
Fix in rawhide.

Comment 9 Bug Zapper 2009-11-16 13:03:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.